# _CacheInfo Struct Reference

`#include <cache-private.h>`

## Data Fields

unsigned long | id
NexusInfo * | nexus_info
unsigned long | number_views
ClassType | storage_class
ColorspaceType | colorspace
CacheType | type
MagickBooleanType | mapped
unsigned long | columns
unsigned long | rows
MagickOffsetType | offset
MagickSizeType | length
PixelPacket * | pixels
IndexPacket * | indexes
VirtualPixelMethod | virtual_pixel_method
PixelPacket | virtual_pixel
int | file
MagickSizeType | serial_number
char | filename [MaxTextExtent]
char | cache_filename [MaxTextExtent]
CacheMethods | methods
MagickBooleanType | debug
unsigned long | thread
long | reference_count
SemaphoreInfo * | semaphore
unsigned long | signature

## Field Documentation

unsigned long _CacheInfo::id

NexusInfo* _CacheInfo::nexus_info

unsigned long _CacheInfo::number_views

ClassType _CacheInfo::storage_class

ColorspaceType _CacheInfo::colorspace

CacheType _CacheInfo::type

MagickBooleanType _CacheInfo::mapped

unsigned long _CacheInfo::columns

unsigned long _CacheInfo::rows

MagickOffsetType _CacheInfo::offset

MagickSizeType _CacheInfo::length

PixelPacket* _CacheInfo::pixels

IndexPacket* _CacheInfo::indexes

VirtualPixelMethod _CacheInfo::virtual_pixel_method

PixelPacket _CacheInfo::virtual_pixel

int _CacheInfo::file

MagickSizeType _CacheInfo::serial_number

char _CacheInfo::filename[MaxTextExtent]

char _CacheInfo::cache_filename[MaxTextExtent]

CacheMethods _CacheInfo::methods

MagickBooleanType _CacheInfo::debug

unsigned long _CacheInfo::thread

long _CacheInfo::reference_count

SemaphoreInfo* _CacheInfo::semaphore

unsigned long _CacheInfo::signature

The documentation for this struct was generated from the following file:

- cache-private.h